package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class GetQuizHistory {

    private int statusCode;
    private String message;
    @SerializedName("quizHistory")
    List<QuizHistory> quizHistoryList;

    public GetQuizHistory() {
    }

    public GetQuizHistory(int statusCode, String message, List<QuizHistory> quizHistoryList) {
        this.statusCode = statusCode;
        this.message = message;
        this.quizHistoryList = quizHistoryList;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<QuizHistory> getQuizHistoryList() {
        return quizHistoryList;
    }

    public void setQuizHistoryList(List<QuizHistory> quizHistoryList) {
        this.quizHistoryList = quizHistoryList;
    }
}
